import { MsgLoadTest } from "./tx";
export const registry = [["/cosmos.benchmark.v1.MsgLoadTest", MsgLoadTest]];
export const MessageComposer = {
    encoded: {
        loadTest(value) {
            return {
                typeUrl: "/cosmos.benchmark.v1.MsgLoadTest",
                value: MsgLoadTest.encode(value).finish()
            };
        }
    },
    withTypeUrl: {
        loadTest(value) {
            return {
                typeUrl: "/cosmos.benchmark.v1.MsgLoadTest",
                value
            };
        }
    },
    fromPartial: {
        loadTest(value) {
            return {
                typeUrl: "/cosmos.benchmark.v1.MsgLoadTest",
                value: MsgLoadTest.fromPartial(value)
            };
        }
    }
};
